svn commit: trunk/buildroot/package/sed

vapier at uclibc.org vapier at uclibc.org
Sat Apr 15 02:27:46 UTC 2006


Author: vapier
Date: 2006-04-14 19:27:44 -0700 (Fri, 14 Apr 2006)
New Revision: 14882

Log:
syntax/comment touchups

Modified:
   trunk/buildroot/package/sed/sedcheck.sh


Changeset:
Modified: trunk/buildroot/package/sed/sedcheck.sh
===================================================================
--- trunk/buildroot/package/sed/sedcheck.sh	2006-04-15 02:27:30 UTC (rev 14881)
+++ trunk/buildroot/package/sed/sedcheck.sh	2006-04-15 02:27:44 UTC (rev 14882)
@@ -1,21 +1,25 @@
 #!/bin/sh
 
-if [ -x /usr/bin/sed ]; then 
-    SED="/usr/bin/sed";
+# Make sure the host sed supports '-i' (in-place).
+# If it doesn't, we'll build and use our own.
+
+if test -x /usr/bin/sed ; then
+	SED="/usr/bin/sed"
 else
-    if [ -x /bin/sed ]; then 
-	SED="/bin/sed";
-    fi;
-fi;
+	if test -x /bin/sed ; then
+		SED="/bin/sed"
+	else
+		SED="sed"
+	fi
+fi
 
 echo "HELLO" > .sedtest
 $SED -i -e "s/HELLO/GOODBYE/" .sedtest >/dev/null 2>&1
 
-if [ $? != 0 ] ; then
+if test $? != 0 ; then
 	echo build-sed-host-binary
 else
 	echo use-sed-host-binary
-fi;
+fi
+
 rm -f .sedtest
-
-




More information about the uClibc-cvs mailing list